Bug 227172 - net/hostapd: Fix build with LibreSSL 2.7
Summary: net/hostapd: Fix build with LibreSSL 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Craig Leres
URL: http://lists.infradead.org/pipermail/...
Keywords: needs-qa, patch
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-04-01 12:44 UTC by Bernard Spil
Modified: 2018-04-03 21:37 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (leres)


Attachments
svn diff for net/h (2.34 KB, patch)
2018-04-01 19:28 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-04-01 12:44:42 UTC
```
net/hostapd: Fix build with LibreSSL 2.7

 - LibreSSL 2.7 implements OpenSSL 1.1 API

PR:
Approved by:
```
Comment 1 Bernard Spil freebsd_committer 2018-04-01 19:28:33 UTC
Created attachment 192072 [details]
svn diff for net/h

Add patch
Comment 2 Bernard Spil freebsd_committer 2018-04-02 18:04:16 UTC
Add link to upstream issue report http://lists.infradead.org/pipermail/hostap/2018-April/038375.html
Comment 3 Craig Leres freebsd_committer 2018-04-02 18:43:06 UTC
I don't use LibreSSL. could you please provide some hints on how to run "poudriere testport" to test the patch with LibreSSL enabled?
Comment 4 Bernard Spil freebsd_committer 2018-04-02 19:16:59 UTC
Hi Craig,

I'd create a poudriere `set' for that with its own make.conf.

> Set DEFAULT_VERSIONS= ssl=libressl-devel
This will build LibreSSL 2.7.2 and use it for the compilation and linking of hostapd.

Cheers, Bernard.
Comment 5 commit-hook freebsd_committer 2018-04-03 21:33:44 UTC
A commit references this bug:

Author: leres
Date: Tue Apr  3 21:32:40 UTC 2018
New revision: 466381
URL: https://svnweb.freebsd.org/changeset/ports/466381

Log:
  Update patches to unbreak build with LibreSSL 2.7 and the
  OpenSSL 1.1 API.

  PR:		227172
  Submitted by:	brnrd
  Reported by:	brnrd
  Reviewed by:	ler (mentor)
  Approved by:	ler (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14957

Changes:
  head/net/hostapd/files/patch-crypto__openssl.c
  head/net/hostapd/files/patch-src_crypto_tls__openssl.c
Comment 6 Craig Leres freebsd_committer 2018-04-03 21:37:21 UTC
Committed; thanks!

Also I appreciate the help with poudriere. Once I understood how poudriere creates the make.conf used in the jail (and the order the various make.conf files are assembled) testing was a breeze.